Runtime

## org.eclipse.gmf.runtime.emf.ui.properties.commands
Class RestoreDefaultPropertyValueCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.ui.properties.commands.RestoreDefaultPropertyValueCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class RestoreDefaultPropertyValueCommand

extends AbstractTransactionalCommand

Command to restore a property value to its default value using the `IPropertySource.resetPropertyValue(java.lang.Object)` method.

This command is undoable and redoable.

Constructor Summary
`RestoreDefaultPropertyValueCommand(TransactionalEditingDomain editingDomain, java.lang.String label, java.lang.Object affectedObjects, IPropertySource propertySource, java.lang.Object propertyId)` Constructs a new command with the property source and the id of the property to be reset.

Method Summary
`boolean` `canRedo()`
`boolean` `canUndo()`
`protected CommandResult` `doExecuteWithResult(IProgressMonitor progressMonitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`protected CommandResult` `doRedoWithResult(IProgressMonitor progressMonitor, IAdaptable info)`
`protected CommandResult` `doUndoWithResult(IProgressMonitor progressMonitor, IAdaptable info)`
`protected java.lang.Object` `getPropertyId()` Gets the ID of the property whose default value is to be restored.
`protected IPropertySource` `getPropertySource()` Gets the property source that owns the property to be restored to its default value.
`protected java.lang.Object` `getUndoValue()` Gets the property value which is used when this command execution is undone.
`protected boolean` `isValueResetOnUndo()` Gets the flag that indicates that the property value was reset by this command.
`protected void` `setUndoValue(java.lang.Object object)` Sets the property value which is used when this command execution is undone.
`protected void` `setValueResetOnUndo(boolean b)` Sets the flag that indicates that the property value was reset by this command.

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### RestoreDefaultPropertyValueCommand

    public RestoreDefaultPropertyValueCommand(TransactionalEditingDomain editingDomain,
                                              java.lang.String label,
                                              java.lang.Object affectedObjects,
                                              IPropertySource propertySource,
                                              java.lang.Object propertyId)

  Constructs a new command with the property source and the id of the property to be reset.

  Parameters:
    `editingDomain` - the editing domain in which to make the change
    `label` - The label for the command. Appears in the Edit menu items.
    `affectedObjects` - The model operation context for the new model command.
    `propertySource` - The property source that owns the property whose value is to be reset.
    `propertyId` - The ID of the property to be reset.

Method Detail

### canRedo

    public boolean canRedo()

  Specified by:
    `canRedo` in interface `IUndoableOperation`
  Overrides:
    `canRedo` in class `AbstractEMFOperation`

### canUndo

    public boolean canUndo()

  Specified by:
    `canUndo` in interface `IUndoableOperation`
  Overrides:
    `canUndo` in class `AbstractEMFOperation`

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor progressMonitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `progressMonitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

### doRedoWithResult

    protected CommandResult doRedoWithResult(IProgressMonitor progressMonitor,
                                             IAdaptable info)
                                      throws ExecutionException

  Throws:
    `ExecutionException`

### doUndoWithResult

    protected CommandResult doUndoWithResult(IProgressMonitor progressMonitor,
                                             IAdaptable info)
                                      throws ExecutionException

  Throws:
    `ExecutionException`

### isValueResetOnUndo

    protected boolean isValueResetOnUndo()

  Gets the flag that indicates that the property value was reset by this command. The property value is not reset to its default if the property source's `isPropertySet()` method returns `false`.

  Returns:
    `true` if the property value was reset by this command, `false` otherwise.

### setValueResetOnUndo

    protected void setValueResetOnUndo(boolean b)

  Sets the flag that indicates that the property value was reset by this command. The property value is not reset to its default if the property source's `isPropertySet()` method returns `false`.

  Parameters:
    `b` - `true` if the property value was reset by this command, `false` otherwise.

### getPropertySource

    protected IPropertySource getPropertySource()

  Gets the property source that owns the property to be restored to its default value.

  Returns:
    the property source

### getPropertyId

    protected java.lang.Object getPropertyId()

  Gets the ID of the property whose default value is to be restored.

  Returns:
    the property ID

### getUndoValue

    protected java.lang.Object getUndoValue()

  Gets the property value which is used when this command execution is undone.

  Returns:
    the undo property value

### setUndoValue

    protected void setUndoValue(java.lang.Object object)

  Sets the property value which is used when this command execution is undone.

  Parameters:
    `object` - the undo property value

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.